CMSIS-Driver: Driver_CAN.c File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Driver_CAN.c File Reference

## Functions

ARM_DRIVER_VERSION | ARM_CAN_GetVersion (void)
| Get driver version. More...
ARM_CAN_CAPABILITIES | ARM_CAN_GetCapabilities (void)
| Get driver capabilities. More...
int32_t | ARM_CAN_Initialize (ARM_CAN_SignalUnitEvent_t cb_unit_event, ARM_CAN_SignalObjectEvent_t cb_object_event)
| Initialize CAN interface and register signal (callback) functions. More...
int32_t | ARM_CAN_Uninitialize (void)
| De-initialize CAN interface. More...
int32_t | ARM_CAN_PowerControl (ARM_POWER_STATE state)
| Control CAN interface power. More...
uint32_t | ARM_CAN_GetClock (void)
| Retrieve CAN base clock frequency. More...
int32_t | ARM_CAN_SetBitrate (ARM_CAN_BITRATE_SELECT select, uint32_t bitrate, uint32_t bit_segments)
| Set bitrate for CAN interface. More...
int32_t | ARM_CAN_SetMode (ARM_CAN_MODE mode)
| Set operating mode for CAN interface. More...
ARM_CAN_OBJ_CAPABILITIES | ARM_CAN_ObjectGetCapabilities (uint32_t obj_idx)
| Retrieve capabilities of an object. More...
int32_t | ARM_CAN_ObjectSetFilter (uint32_t obj_idx, ARM_CAN_FILTER_OPERATION operation, uint32_t id, uint32_t arg)
| Add or remove filter for message reception. More...
int32_t | ARM_CAN_ObjectConfigure (uint32_t obj_idx, ARM_CAN_OBJ_CONFIG obj_cfg)
| Configure object. More...
int32_t | ARM_CAN_MessageSend (uint32_t obj_idx, ARM_CAN_MSG_INFO *msg_info, const uint8_t *data, uint8_t size)
| Send message on CAN bus. More...
int32_t | ARM_CAN_MessageRead (uint32_t obj_idx, ARM_CAN_MSG_INFO *msg_info, uint8_t *data, uint8_t size)
| Read message received on CAN bus. More...
int32_t | ARM_CAN_Control (uint32_t control, uint32_t arg)
| Control CAN interface. More...
ARM_CAN_STATUS | ARM_CAN_GetStatus (void)
| Get CAN status. More...
void | ARM_CAN_SignalUnitEvent (uint32_t event)
| Signal CAN unit event. More...
void | ARM_CAN_SignalObjectEvent (uint32_t obj_idx, uint32_t event)
| Signal CAN object event. More...